---
- name: Ensure required packages are installed
  apt:
    name: qt5ct
    state: present

- name: Create qt5ct colors directory if it doesn't exist
  file:
    path: '~/.config/qt5ct/colors'
    state: directory
    mode: '0755'

- name: Copy Dracula theme to qt5ct colors directory
  template:
    src: 'templates/dracula.conf.j2'
    dest: '~/.config/qt5ct/colors/dracula.conf'
    remote_src: yes

- name: Deploy qt5ct configuration file
  template:
    src: 'templates/qt5ct.conf.j2'
    dest: '~/.config/qt5ct/qt5ct.conf'
